#### D.15.29.8 cohomologyMatrixFromResolution

Procedure from library `tateProdCplxNegGrad.lib` (see tateProdCplxNegGrad_lib).

Usage:
  cohomologyMatrixFromResolution(T,low,high); T multigradedcomplex, low intvec, high intvec

Purpose:
  computes the cohomology matrix corresponding to the multigraded complex T (part of a Tate resolution)

Assume:
  T is a multigraded complex representing a part of a Tate resolution (for example output of tateResolution), basering is E

Return:
  ring Z in which cohomology matrix lives, it is exported in the variable cohomologymat, cohomologymat stores information in the range between low and high

Example:

    LIB "tateProdCplxNegGrad.lib";
    intvec c = 1,1;
    def (S,E) = productOfProjectiveSpaces(c);
    intvec low = -3,-3;
    intvec high = 3,3;
    setring(S);
    module M = 0;
    intmat grading[2][1] = -1,-1;
    M = setModuleGrading(M,grading);
    multigradedcomplex tate;
    (E,tate) = tateResolution(M,low,high);
    setring(E);
    ring Z = cohomologyMatrixFromResolution(tate,low,high);
    setring(Z);
    print(cohomologymat);
    ==> 5h,0,5,10,15,20,25,
    ==> 4h,0,4,8, 12,16,20,
    ==> 3h,0,3,6, 9, 12,15,
    ==> 2h,0,2,4, 6, 8, 10,
    ==> h, 0,1,2, 3, 4, 5,
    ==> 0, 0,0,0, 0, 0, 0,
    ==> h2,0,h,2h,3h,4h,5h

User manual for Singular version 4.4.1, 2025, generated by texi2html.